__gnu_cxx::throw_allocator_limit< _Tp >(3)

NAME
__gnu_cxx::throw_allocator_limit< _Tp > - Allocator throwing via limit condition.

SYNOPSIS

Inherits __gnu_cxx::throw_allocator_base< _Tp, limit_condition >.

  Public Types
typedef const value_type * const_pointer
typedef const value_type & const_reference
typedef std::ptrdiff_t difference_type
typedef value_type * pointer
typedef std::true_type propagate_on_container_move_assignment
typedef value_type & reference
typedef std::size_t size_type
typedef _Tp value_type

  Public Member Functions
throw_allocator_limit (const throw_allocator_limit &) noexcept
template<typename _Tp1 > throw_allocator_limit (const throw_allocator_limit< _Tp1 > &) noexcept
const_pointer address (const_reference __x) const noexcept
pointer address (reference __x) const noexcept
pointer allocate (size_type __n, const void *hint=0)
void check (size_t label)
void check (size_type __n)
void check_allocated (pointer __p, size_type __n)
map_alloc_type::iterator check_allocated (void *p, size_t size)
void check_constructed (size_t label)
map_construct_type::iterator check_constructed (void *p)
void construct (_Up *__p, _Args &&... __args)
void deallocate (pointer __p, size_type __n)
void destroy (_Up *__p)
void erase (void *p, size_t size)
void erase_construct (void *p)
void insert (void *p, size_t size)
void insert_construct (void *p)
size_type max_size () const noexcept

  Static Public Member Functions
static void check ()
static size_t & count ()
static size_t get_label ()
static size_t & limit ()
static void set_label (size_t l)
static void set_limit (const size_t __l)
static void throw_conditionally ()

Detailed Description

  template<typename _Tp>
struct __gnu_cxx::throw_allocator_limit< _Tp >" Allocator throwing via limit condition.

Definition at line 908 of file throw_allocator.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.